%global momorel 1

Summary: A perfect hash function generator.
Name: gperf
Version: 3.0.2
Release: %{momorel}m%{?dist}
License: GPL
Source: ftp://ftp.ne.jp/GNU/gperf/gperf-%{version}.tar.gz
NoSource: 0
Patch0: gperf-3.0.1-gcc4.patch
Group: Development/Tools
Prereq: info
URL: http://www.gnu.org/directory/gperf.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++ >= 3.4.1-1m

%description
Gperf is a perfect hash function generator written in C++. Simply
stated, a perfect hash function is a hash function and a data
structure that allows recognition of a key word in a set of words
using exactly one probe into the data structure.

%prep
%setup -q
%patch0 -p1 -b .gcc4

%build
%configure
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}
mkdir -p %{buildroot}%{_infodir}

%makeinstall

rm -rf %{buildroot}%{_mandir}/{dvi,html}
strip -R .comments %{buildroot}%{_bindir}/gperf
rm -f %{buildroot}/usr/share/doc/gperf/gperf.html

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/gperf.info.* %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/gperf.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc README NEWS doc/gperf.html
%{_bindir}/gperf
%{_mandir}/man1/gperf.1*
%{_infodir}/gperf.info*

%changelog
* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.2-1m)
- update 3.0.2

* Fri Nov  4 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.0.1-2m)
- import gcc4 patch (Patch0) from Fedora

* Tue Feb 22 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.0.1-1m)
  update to 3.0.1

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.7.2-8m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.7.2-7m)
- revised spec for enabling rpm 4.2.

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.7.2-6m)
- add URL tag

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.7.2-4k)
- /sbin/install-info -> info in PreReq.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.7.2-2k)

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Apr 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.7.2-1
- Update to 2.7.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- user infodir and mandir macros for FHS
- use %%makeinstall

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild to gzip manpage
- don't use CC=egcs
- fix description

* Wed Mar 24 1999 Cristian Gafton <gafton@redhat.com>
- added patches for egcs from UP

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- patch for latest egcs

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- create.
